	.386
	.model	use32 small
	extrn	allerr : proc, negeerr : proc

	public	_log
	.data

nm	db	"log",0

	.code

_log:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fldln2
	fld	qword ptr [ecx]
	fyl2x
	lea	eax,[nm]
	fld	qword ptr [ecx]
	call	negeerr
	leave
	ret
	end